;+
; NAME:
;     Z2GIF
; PURPOSE:
;     dump a Z-buffer image to a .gif file 
; CATEGORY:
; CALLING SEQUENCE:
;     z2gif, outfil=outfil
;     z3gif, outfil=outfil, ct=-0
; INPUTS:
; OPTIONAL (KEYWORD) INPUT PARAMETERS:
;     ct, the color table by IDL number (reversed if negative), default 15
;     over, reverses the color table (needed for ct=0!)
; OUTPUTS:
; COMMON BLOCKS:
; SIDE EFFECTS:
; RESTRICTIONS:
; MODIFICATION HISTORY:
;     30-dec-99, hsh
;     14-feb-01, hsh, defaulted input to tvrd()
;     22-may-01, hsh, added /over
;-

pro z2gif, data, ct=ct, over=over, outfil = outfil
if n_elements(data) eq 0 then data = tvrd()
if n_elements(outfil) eq 0 then outfil = '~whoever/public_html/whatever.gif'
plotdev = !D.NAME
if n_elements(ct) eq 0 then ct = 15
if ct lt 0 then begin
  ct = -ct
  over = 1
endif
loadct,ct
if n_elements(over) then over
wdef,0,image=data
tvscl,data
out= tvrd()
tvlct,r,g,b,/get
write_gif,outfil,out,r,g,b
end
